Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices
Class LonLatEnvelope

    java.lang.Object
      org.deegree.ogcwebservices.LonLatEnvelope

All Implemented Interfaces:
  Serializable, Cloneable

    public class LonLatEnvelope

extends Object
implements Cloneable, Serializable

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`LonLatEnvelope(double minx, double miny, double maxx, double maxy)`
`LonLatEnvelope(Envelope envelope)`
`LonLatEnvelope(Point min, Point max)`
`LonLatEnvelope(Point min, Point max, String srs)`
`LonLatEnvelope(Point min, Point max, TimePosition[] timePositions, String srs)`

Method Summary
`Object` | `clone()`
`Point` | `getMax()`
`Point` | `getMin()`
`String` | `getSrs()`
`TimePosition[]` | `getTimePositions()`
`void` | `setMax(Point max)`
`void` | `setMin(Point min)`
`void` | `setSrs(String srs)`
`void` | `setTimePositions(TimePosition[] timePositions)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LonLatEnvelope

    public LonLatEnvelope(Point min,
                          Point max)

Parameters:
  `min` -
  `max` -

### LonLatEnvelope

    public LonLatEnvelope(Point min,
                          Point max,
                          String srs)

Parameters:
  `min` -
  `max` -
  `srs` -

### LonLatEnvelope

    public LonLatEnvelope(Point min,
                          Point max,
                          TimePosition[] timePositions,
                          String srs)

Parameters:
  `min` -
  `max` -
  `timePositions` -
  `srs` -

### LonLatEnvelope

    public LonLatEnvelope(double minx,
                          double miny,
                          double maxx,
                          double maxy)

Parameters:
  `minx` -
  `miny` -
  `maxx` -
  `maxy` -

### LonLatEnvelope

    public LonLatEnvelope(Envelope envelope)

Parameters:
  `envelope` -

Method Detail

### getMax

    public Point getMax()

  Returns:
    Returns the max.

### setMax

    public void setMax(Point max)

  Parameters:
    `max` - The max to set.

### getMin

    public Point getMin()

  Returns:
    Returns the min.

### setMin

    public void setMin(Point min)

  Parameters:
    `min` - The min to set.

### getSrs

    public String getSrs()

  Returns:
    Returns the srs.

### setSrs

    public void setSrs(String srs)

  Parameters:
    `srs` - The srs to set.

### getTimePositions

    public TimePosition[] getTimePositions()

  Returns:
    Returns the timePositions.

### setTimePositions

    public void setTimePositions(TimePosition[] timePositions)

  Parameters:
    `timePositions` - The timePositions to set.

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org